diff --git a/.Floppies/A2OSX.BUILD.po b/.Floppies/A2OSX.BUILD.po
index 594c9a41..a6424c2b 100644
Binary files a/.Floppies/A2OSX.BUILD.po and b/.Floppies/A2OSX.BUILD.po differ
diff --git a/BIN/X.CPMVRM.G.txt b/BIN/X.CPMVRM.G.txt
index d7b56e1f..b5adb0f0 100644
--- a/BIN/X.CPMVRM.G.txt
+++ b/BIN/X.CPMVRM.G.txt
@@ -25,4 +25,4 @@ hToDelete		.BS 1
 				.FIN
 *--------------------------------------
 MAN
-SAVE USR/SRC/BIN/X.CPMVRM.G
+SAVE usr/src/bin/x.cpmvrm.g
diff --git a/SBIN/INITD.S.txt b/SBIN/INITD.S.txt
index bfd284d4..a8e641d8 100644
--- a/SBIN/INITD.S.txt
+++ b/SBIN/INITD.S.txt
@@ -133,9 +133,6 @@ CS.RUN.ETCINIT	>LDYAI 256
 				cmp #'#'
 				beq .1
 				
-				>LDYA BufPtr
-				>SYSCALL puts
-				
 				>PUSHW BufPtr
 				>PUSHBI S.PS.F.NOHUP
 				>SYSCALL ExecL
diff --git a/SBIN/NETWORKD.S.txt b/SBIN/NETWORKD.S.txt
index 80e8b45d..e012975f 100644
--- a/SBIN/NETWORKD.S.txt
+++ b/SBIN/NETWORKD.S.txt
@@ -57,6 +57,8 @@ L.MSG.DEV.OK	.DA MSG.DEV.OK
 L.MSG.DEV.KO	.DA MSG.DEV.KO
 L.MSG.LIB		.DA MSG.LIB
 L.MSG.EXEC		.DA MSG.EXEC
+L.MSG.OK		.DA MSG.OK
+L.MSG.ERR		.DA MSG.ERR
 L.DEVNAME		.DA DEVNAME
 L.IOCTL			.DA IOCTL
 L.DCB.NIC		.DA DCB.NIC
@@ -75,7 +77,7 @@ CS.INIT			lda DevID
 
 				jsr CS.INIT.LIBS
 				bcs .9
-
+				
 				jsr CS.INIT.CONF
 .9				rts
 
@@ -138,6 +140,7 @@ CS.INIT.LIBS	lda LibCnt
 				ply
 			
 				>SYSCALL LoadLib
+				jsr CS.RUN.CheckErr
 				bcs CS.INIT.LIBS.9
 
 				ldy LibCnt
@@ -218,8 +221,11 @@ CS.INIT.CONF	>LDYAI 64
 				>SYSCALL PrintF
 
 				>PUSHW pBuf
-				>PUSHBI 0				S.PS.F.HOLD+S.PS.F.NOHUP
+				>PUSHBI S.PS.F.HOLD
 				>SYSCALL execL
+
+				jsr CS.RUN.CheckErr
+				>SLEEP
 				bra .1
 
 .98				pha
@@ -313,6 +319,24 @@ CS.RUN.FILTER	lda (pBuf)
 				rts
 				.FIN
 *--------------------------------------
+CS.RUN.CheckErr	pha
+
+				bcs .1
+				>LDYA L.MSG.OK
+				>SYSCALL PutS
+				pla
+				rts
+
+.1				>PUSHW L.MSG.ERR
+				pla
+				pha
+				>PUSHA
+				>PUSHBI 1
+				>SYSCALL PrintF
+				pla
+				sec
+				rts
+*--------------------------------------
 CS.DOEVENT		lda (pEvent)
 				bpl .9
 
@@ -360,8 +384,10 @@ CS.END
 MSG.RUNNING		.AZ "NETWORKD:Already loaded, exiting."
 MSG.DEV.KO		.AZ "NETWORKD:No Device Found, exiting."
 MSG.DEV.OK		.AZ "NETWORKD:Bound To Device : %s\r\n"
-MSG.LIB			.AZ "NETWORKD:Loading %s ...\r\n"
-MSG.EXEC		.AZ "NETWORKD:Running %s ...\r\n"
+MSG.LIB			.AZ "NETWORKD:Loading %s ... "
+MSG.EXEC		.AZ "NETWORKD:Running %s ... "
+MSG.OK			.AZ "[OK]"
+MSG.ERR			.AZ "[%h]\r\n"
 ETCNETWORK		.AZ "${BOOT}etc/network"
 				.DO DBG=1
 MSG.DBG			.AS "FRM ETH:%h%h%h%h%h%h.%h%h%h%h%h%h.%h%h\r\n"
